/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * Class com.example.vaadintest.TableButton.java created on 14.11.2014 by steffen.c-on
 *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *   *
 * (C) Copyright by c-on Services Steffen Ewert 2014; All rights reserved.
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 */

package com.example.vaadintest;

import com.vaadin.ui.Button;
import com.vaadin.ui.Table;

/** TODO adding documentation ...
 * @author steffen.c-on
 * @version 14.11.2014
 */
public class TableButton extends Button {

  private Table tbl = null;

  /** Construct a new TableButton object.
   * 
   */
  public TableButton() {
    super();
  }

  /** Construct a new TableButton object.
   * @param caption
   */
  public TableButton(String caption, Table tbl) {
    super(caption);
    setTbl(tbl);
  }

  /** Returns the tbl attribute.
   * @return the tbl.
   */
  public Table getTbl() {
    return tbl;
  }

  /** Sets the tbl attribute to the specified value.
   * @param tbl the new tbl value
   */
  public void setTbl(Table tbl) {
    this.tbl = tbl;
  }
  
}


// (C) Copyright by c-on Services Steffen Ewert 2014; All rights reserved.